/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package pe.siso.horario.DAO;

import java.util.ArrayList;
import pe.siso.horario.Beans.Bloque;
import pe.siso.horario.Beans.Grupo;

/**
 *
 * @author sistem16user
 */
public interface BloqueDAO {
 public ArrayList<Bloque> cargarBloque() throws Exception;
 public ArrayList<Bloque> BusquedaBloque(String cod) throws Exception;
 public ArrayList<Bloque> BusquedaBloque(String blque, String turno) throws Exception;
 public void registrarBloque(String codBlo, String Nombre, String horaIni, String horaFin, String Cant) throws Exception;
 public void registrarBloque(String codBlo, String codDet) throws Exception;
 public void registrarBloque(String codBlo, String codDet,String codTurno) throws Exception;
 public ArrayList<Bloque> consultarDetalleBloque(String codigoGrupo) throws Exception;
 public ArrayList<Bloque> BusquedaListaBloque(String codigoBloque) throws Exception;
 public ArrayList<Bloque> mostrarBloques() throws Exception;
 public ArrayList<Bloque> detallebloque(String codigoBloque, String codigoGrupo) throws Exception;
 public void actualizarDetalleBloque(String bloqueDetalle) throws Exception;
 public int estado(String codGrupo) throws Exception;
 public Bloque consultarDatosGrupoBloque(String codigoAula) throws Exception;
 public int editarGrupoBloqAsignado(String codigoAula,String codigoGrupo) throws Exception;
 public int consultaBloque(String cantidad) throws Exception;
 public int consultaGrupo(String bloque) throws Exception;
 public Bloque consultarTurno(String grupo) throws Exception;
 
 public int registrarGrupoHorario(String cadena, String cantMax) throws Exception;  
 public int EditarGrupoHorario(String cadena, String cantMax, String codigo) throws Exception;  
 public ArrayList<Grupo> BusquedaListaBloqueHorario(String bloque) throws Exception;
 public Grupo BusquedaDatosBloqueHorario(String codigo) throws Exception;
 

}
